Verify a JSON signature with the wallet's public key
POST/api/v1/crypto/wallet/:walletId/json-signature/verify
Verifies a json-canonical+utf8 or jws signature and the context it carries.
Request
Path Parameters
walletId numberrequired
Wallet identifier
- application/json
Body
required
signature objectrequired
The signature object, as returned by the sign endpoint
payload object
The signed payload, when the signature object does not embed it
verificationContext object
Verification context: verifiedAt (Unix timestamp in milliseconds, defaults to now) and shouldBeValidOnChain (when set, must match the allowOnChain of the signature context).
Responses
- 201
Loading...